Commit f85f658e authored by Pavel Mashliakovskiy's avatar Pavel Mashliakovskiy 🤹🏻

Publish

 - autotest@5.0.242
 - benchmarks@5.0.179
 - node@1.0.128
 - @unitybase/adminui-pub@5.13.28
 - @unitybase/adminui-reg@5.4.28
 - @unitybase/adminui-vue@1.12.2
 - @unitybase/base@5.2.14
 - @unitybase/blob-stores@5.4.2
 - @unitybase/cdn@5.4.24
 - @unitybase/compressors@5.1.33
 - @unitybase/cs-shared@5.5.1
 - @unitybase/dml-generator@5.0.91
 - @unitybase/hmr@1.0.107
 - @unitybase/http-proxy@5.1.23
 - @unitybase/mailer@5.3.2
 - @unitybase/openid-connect@5.1.23
 - @unitybase/org@5.3.24
 - @unitybase/ub-pub@5.5.17
 - @unitybase/ub@5.5.10
 - @unitybase/uba@5.4.23
 - @unitybase/ubcli@5.6.2
 - @unitybase/ubdev@0.0.114
 - @unitybase/ubm@5.4.6
 - @unitybase/ubq@5.3.23
 - @unitybase/ubs@5.4.13
 - @unitybase/udisk@5.0.136
 - @unitybase/xlsx@5.1.33
parent 92f36597
Pipeline #21732 skipped with stage
{
"name": "autotest",
"version": "5.0.241",
"version": "5.0.242",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "autotest",
"version": "5.0.241",
"version": "5.0.242",
"description": "Autotest for UnityBase",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/apps/autotest",
"private": true,
......@@ -16,30 +16,30 @@
},
"dependencies": {
"@popperjs/core": "^2.0.6",
"@unitybase/adminui-pub": "^5.13.27",
"@unitybase/adminui-reg": "^5.4.27",
"@unitybase/adminui-vue": "^1.12.1",
"@unitybase/base": "^5.2.13",
"@unitybase/cdn": "^5.4.23",
"@unitybase/adminui-pub": "^5.13.28",
"@unitybase/adminui-reg": "^5.4.28",
"@unitybase/adminui-vue": "^1.12.2",
"@unitybase/base": "^5.2.14",
"@unitybase/cdn": "^5.4.24",
"@unitybase/codemirror-full": "^1.2.30",
"@unitybase/cryptojs": "^1.0.14",
"@unitybase/cs-shared": "^5.5.0",
"@unitybase/dml-generator": "^5.0.90",
"@unitybase/http-proxy": "^5.1.22",
"@unitybase/mailer": "^5.3.1",
"@unitybase/openid-connect": "^5.1.22",
"@unitybase/org": "^5.3.23",
"@unitybase/cs-shared": "^5.5.1",
"@unitybase/dml-generator": "^5.0.91",
"@unitybase/http-proxy": "^5.1.23",
"@unitybase/mailer": "^5.3.2",
"@unitybase/openid-connect": "^5.1.23",
"@unitybase/org": "^5.3.24",
"@unitybase/pdf": "^5.0.31",
"@unitybase/systemjs-plugin-vue-ub": "^1.3.9",
"@unitybase/ub": "^5.5.9",
"@unitybase/ub-pub": "^5.5.16",
"@unitybase/uba": "^5.4.22",
"@unitybase/ubdev": "^0.0.113",
"@unitybase/ubm": "^5.4.5",
"@unitybase/ubq": "^5.3.22",
"@unitybase/ubs": "^5.4.12",
"@unitybase/udisk": "^5.0.135",
"@unitybase/xlsx": "^5.1.32",
"@unitybase/ub": "^5.5.10",
"@unitybase/ub-pub": "^5.5.17",
"@unitybase/uba": "^5.4.23",
"@unitybase/ubdev": "^0.0.114",
"@unitybase/ubm": "^5.4.6",
"@unitybase/ubq": "^5.3.23",
"@unitybase/ubs": "^5.4.13",
"@unitybase/udisk": "^5.0.136",
"@unitybase/xlsx": "^5.1.33",
"asn1js": "^2.0.19",
"codemirror": "^5.44.0",
"element-ui": "^2.13.0",
......@@ -66,9 +66,9 @@
"vuex": "^3.1.2"
},
"devDependencies": {
"@unitybase/hmr": "^1.0.106",
"@unitybase/hmr": "^1.0.107",
"@unitybase/stubs": "^5.1.1",
"@unitybase/ubcli": "^5.6.1"
"@unitybase/ubcli": "^5.6.2"
},
"peerDependencies": {
"testcafe": "^0.19.1"
......
{
"name": "benchmarks",
"version": "5.0.178",
"version": "5.0.179",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "benchmarks",
"version": "5.0.178",
"version": "5.0.179",
"description": "Benchmarks for UnityBase for a scenarios from the [TechEmpower Web Framework Benchmarks](https://www.techempower.com/benchmarks/).",
"main": "index.js",
"scripts": {
......@@ -20,15 +20,15 @@
},
"homepage": "https://github.com/UnityBaseJS/benchmarks#readme",
"dependencies": {
"@unitybase/base": "^5.2.13",
"@unitybase/cs-shared": "^5.5.0",
"@unitybase/dml-generator": "^5.0.90",
"@unitybase/ub": "^5.5.9",
"@unitybase/ub-pub": "^5.5.16",
"@unitybase/base": "^5.2.14",
"@unitybase/cs-shared": "^5.5.1",
"@unitybase/dml-generator": "^5.0.91",
"@unitybase/ub": "^5.5.10",
"@unitybase/ub-pub": "^5.5.17",
"mustache": "^3.0.1"
},
"devDependencies": {
"@unitybase/stubs": "^5.1.1",
"@unitybase/ubcli": "^5.6.1"
"@unitybase/ubcli": "^5.6.2"
}
}
{
"name": "node",
"version": "1.0.127",
"version": "1.0.128",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "node",
"version": "1.0.127",
"version": "1.0.128",
"description": "Call UnityBase methods from node.js",
"main": "ub_from_node.js",
"private": true,
......@@ -10,7 +10,7 @@
"author": "",
"license": "ISC",
"dependencies": {
"@unitybase/ub-pub": "^5.5.16",
"@unitybase/ub-pub": "^5.5.17",
"xhr2": "^0.1.4"
}
}
......@@ -8,16 +8,21 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
### Added
### Changed
- double-click on entity inside ER Diagram opens Vue base entity editor `ubm_form-entityEdit`.
Previous implementation did such only in case UBDEV model (obsolete) is in the domain.
### Deprecated
### Removed
- ExtJS based entity editor is removed (obsolete) in flavor of Vue based `ubm_form-entityEdit`
### Fixed
## [5.13.28] - 2020-07-26
### Changed
- double-click on entity inside ER Diagram opens Vue base entity editor `ubm_form-entityEdit`.
Previous implementation did such only in case UBDEV model (obsolete) is in the domain.
### Removed
- ExtJS based entity editor is removed (obsolete) in flavor of Vue based `ubm_form-entityEdit`
## [5.13.27] - 2020-07-19
## [5.13.26] - 2020-07-16
### Fixed
......
{
"name": "@unitybase/adminui-pub",
"version": "5.13.27",
"version": "5.13.28",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/adminui-pub",
"version": "5.13.27",
"version": "5.13.28",
"description": "UnityBase admin UI",
"main": "adminui.js",
"browser": {
......@@ -37,10 +37,10 @@
},
"dependencies": {
"@unitybase/codemirror-full": "^1.2.30",
"@unitybase/cs-shared": "^5.5.0",
"@unitybase/ub-pub": "^5.5.16",
"@unitybase/ubm": "^5.4.5",
"@unitybase/xlsx": "^5.1.32",
"@unitybase/cs-shared": "^5.5.1",
"@unitybase/ub-pub": "^5.5.17",
"@unitybase/ubm": "^5.4.6",
"@unitybase/xlsx": "^5.1.33",
"codemirror": "^5.44.0",
"file-saver": "^1.3.3",
"js-beautify": "^1.6.12",
......
......@@ -15,6 +15,7 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
### Fixed
## [5.4.28] - 2020-07-26
## [5.4.27] - 2020-07-19
## [5.4.26] - 2020-07-16
## [5.4.25] - 2020-07-15
......
{
"name": "@unitybase/adminui-reg",
"version": "5.4.27",
"version": "5.4.28",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/adminui-reg",
"version": "5.4.27",
"version": "5.4.28",
"description": "UnityBase admin UI (server part)",
"main": "index.html.js",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/packages/adminui-reg",
......@@ -20,9 +20,9 @@
"registry": "https://registry.unitybase.info"
},
"dependencies": {
"@unitybase/adminui-pub": "^5.13.27",
"@unitybase/base": "^5.2.13",
"@unitybase/ub": "^5.5.9",
"@unitybase/adminui-pub": "^5.13.28",
"@unitybase/base": "^5.2.14",
"@unitybase/ub": "^5.5.10",
"mustache": "^3.0.1"
},
"devDependencies": {
......
......@@ -5,6 +5,17 @@ The format is based on [Keep a Changelog](http://keepachangelog.com/)
and this project adheres to [Semantic Versioning](http://semver.org/).
## [Unreleased]
### Added
### Changed
### Deprecated
### Removed
### Fixed
## [1.12.2] - 2020-07-26
### Added
- `UTable`: new slot `appendTable` - rendered below the table and can be used as a table footer
- `UFile`: additional param `file` to the `beforeSetDocument` hook
......@@ -21,10 +32,6 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
If precision is not defined UBaseInput do not round a value for inputs of type `number` - only transform it
into `Number` before emitting `input` event.
### Deprecated
### Removed
### Fixed
- `UTableEntity`: bottom pagination button for tables is centered on a current viewport, so visible even in case of many columns in table
- `UTableEntity`: bottom pagination button is hidden in case next page is unavailable
......
{
"name": "@unitybase/adminui-vue",
"version": "1.12.1",
"version": "1.12.2",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/adminui-vue",
"version": "1.12.1",
"version": "1.12.2",
"description": "UnityBase admin UI extended with Vue + ElementUI",
"main": "adminui-vue.js",
"browser": {
......@@ -46,9 +46,9 @@
"dependencies": {
"@popperjs/core": "^2.0.6",
"@unitybase/codemirror-full": "^1.2.30",
"@unitybase/cs-shared": "^5.5.0",
"@unitybase/cs-shared": "^5.5.1",
"@unitybase/systemjs-plugin-vue-ub": "^1.3.9",
"@unitybase/ub-pub": "^5.5.16",
"@unitybase/ub-pub": "^5.5.17",
"element-ui": "2.13.0",
"jdenticon": "^2.1.1",
"js-beautify": "^1.11.0",
......
......@@ -15,6 +15,7 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
### Fixed
## [5.2.14] - 2020-07-26
## [5.2.13] - 2020-07-19
## [5.2.12] - 2020-07-01
## [5.2.11] - 2020-06-30
......
{
"name": "@unitybase/base",
"version": "5.2.13",
"version": "5.2.14",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/base",
"version": "5.2.13",
"version": "5.2.14",
"description": "CLI classes for working with command line args, connecting to UnityBase server, bulk data loading",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/packages/base",
"scripts": {
......@@ -14,7 +14,7 @@
"main": "base.js",
"dependencies": {
"@unitybase/cryptojs": "^1.0.14",
"@unitybase/cs-shared": "^5.5.0",
"@unitybase/cs-shared": "^5.5.1",
"lodash": "^4"
},
"devDependencies": {
......
......@@ -15,6 +15,7 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
### Fixed
## [5.4.2] - 2020-07-26
## [5.4.1] - 2020-07-19
## [5.4.0] - 2020-07-15
### Fixed
......
{
"name": "@unitybase/blob-stores",
"version": "5.4.1",
"version": "5.4.2",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/blob-stores",
"version": "5.4.1",
"version": "5.4.2",
"description": "BLOB stores implementation",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/packages/blob-stores",
"config": {
......@@ -16,8 +16,8 @@
},
"main": "blobStores.js",
"dependencies": {
"@unitybase/base": "^5.2.13",
"@unitybase/cs-shared": "^5.5.0",
"@unitybase/base": "^5.2.14",
"@unitybase/cs-shared": "^5.5.1",
"lodash": "^4",
"mime-types": "^2.1.14"
},
......
......@@ -15,6 +15,7 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
### Fixed
## [5.4.24] - 2020-07-26
## [5.4.23] - 2020-07-19
## [5.4.22] - 2020-07-16
## [5.4.21] - 2020-07-15
......
{
"name": "@unitybase/cdn",
"version": "5.4.23",
"version": "5.4.24",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/cdn",
"version": "5.4.23",
"version": "5.4.24",
"description": "Set of dictionaries, common for most enterprise systems. For internal organization structure see @ubitybase/org module",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/packages/cdn",
"config": {
......@@ -18,10 +18,10 @@
},
"main": "cdn.js",
"dependencies": {
"@unitybase/base": "^5.2.13",
"@unitybase/ub": "^5.5.9",
"@unitybase/uba": "^5.4.22",
"@unitybase/ubs": "^5.4.12",
"@unitybase/base": "^5.2.14",
"@unitybase/ub": "^5.5.10",
"@unitybase/uba": "^5.4.23",
"@unitybase/ubs": "^5.4.13",
"lodash": "^4"
},
"devDependencies": {
......
......@@ -8,15 +8,20 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
### Added
### Changed
- building of native code depend on LCL
### Deprecated
### Removed
- cross-compilation from Windows to Linux is removed - use linux build environment to build both Win64 & Linux tagrets
### Fixed
## [5.1.33] - 2020-07-26
### Changed
- building of native code depend on LCL
### Removed
- cross-compilation from Windows to Linux is removed - use linux build environment to build both Win64 & Linux tagrets
## [5.1.32] - 2020-07-19
### Changed
- building of native code does not depends on lazarus (fpc is enough)
......
{
"name": "@unitybase/compressors",
"version": "5.1.32",
"version": "5.1.33",
"description": "gzip/gunzip/bzip(m2) implementation",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/packages/compressors",
"config": {
......
......@@ -6,14 +6,19 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
## [Unreleased]
### Added
- documentation for `__skipSelectBeforeUpdate` `CustomRepository.misc` flag (added in UB@5.18.9)
### Changed
### Deprecated
### Removed
### Fixed
## [5.5.1] - 2020-07-26
### Added
- documentation for `__skipSelectBeforeUpdate` `CustomRepository.misc` flag (added in UB@5.18.9)
### Fixed
- force `numeric: true` for `Intl.Collator(lang, { numeric: true })`. For `en` this is not necessary, but for `uk`
without forcing numeric numbers compared as strings.
......
{
"name": "@unitybase/cs-shared",
"version": "5.5.0",
"version": "5.5.1",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/cs-shared",
"version": "5.5.0",
"version": "5.5.1",
"description": "Isomorphic classes shared between clients and server",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/packages/cs-shared",
"scripts": {
......
{
"name": "@unitybase/dml-generator",
"version": "5.0.90",
"version": "5.0.91",
"description": "UnityBase DML Generator",
"scripts": {
"build:doc": "jsdoc -c ./jsdoc-conf.json --package ./package.json",
......@@ -12,7 +12,7 @@
},
"main": "index.js",
"dependencies": {
"@unitybase/base": "^5.2.13"
"@unitybase/base": "^5.2.14"
},
"devDependencies": {
"@unitybase/stubs": "^5.1.1",
......
{
"name": "@unitybase/hmr",
"version": "1.0.106",
"version": "1.0.107",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/hmr",
"version": "1.0.106",
"version": "1.0.107",
"description": "Module for watching changes in the public part of UnityBase and send notifications for UB adminUI in dev mode using web sockets",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/packages/hmr",
"scripts": {
......@@ -15,7 +15,7 @@
},
"main": "server.js",
"dependencies": {
"@unitybase/ub-pub": "^5.5.16",
"@unitybase/ub-pub": "^5.5.17",
"chokidar": "^2.0.4",
"commander": "^2.16.0",
"ws": "^5.2.2",
......
{
"name": "@unitybase/http-proxy",
"version": "5.1.22",
"version": "5.1.23",
"description": "Proxy a HTTP(s) requests to enother HTTP server with optional UB authentication",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/packages/http-proxy",
"public": true,
......@@ -9,12 +9,12 @@
},
"main": "HttpProxy.js",
"dependencies": {
"@unitybase/base": "^5.2.13"
"@unitybase/base": "^5.2.14"
},
"devDependencies": {
"@unitybase/base": "^5.0.26",
"@unitybase/stubs": "^5.1.1",
"@unitybase/ub": "^5.5.9"
"@unitybase/ub": "^5.5.10"
},
"keywords": [
"Proxy",
......
......@@ -8,15 +8,20 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
### Added
### Changed
- building of native code depend on LCL
### Deprecated
### Removed
- cross-compilation from Windows to Linux is removed - use linux build environment to build both Win64 & Linux tagrets
### Fixed
## [5.3.2] - 2020-07-26
### Changed
- building of native code depend on LCL
### Removed
- cross-compilation from Windows to Linux is removed - use linux build environment to build both Win64 & Linux tagrets
## [5.3.1] - 2020-07-19
## [5.3.0] - 2020-07-15
### Changed
......
{
"name": "@unitybase/mailer",
"version": "5.3.1",
"version": "5.3.2",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/mailer",
"version": "5.3.1",
"version": "5.3.2",
"description": "UnityBase SMTP/POP3",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/packages/mailer",
"config": {
......
......@@ -15,6 +15,7 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
### Fixed
## [5.1.23] - 2020-07-26
## [5.1.22] - 2020-07-19
## [5.1.21] - 2020-07-16
## [5.1.20] - 2020-07-15
......
{
"name": "@unitybase/openid-connect",
"version": "5.1.22",
"version": "5.1.23",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/openid-connect",
"version": "5.1.22",
"version": "5.1.23",
"description": "OpenID Connect authentication for UnityBase",
"keywords": [
"UB",
......@@ -23,8 +23,8 @@
"version": "update-changelog && git add CHANGELOG.md"
},
"dependencies": {
"@unitybase/base": "^5.2.13",
"@unitybase/ub": "^5.5.9",
"@unitybase/base": "^5.2.14",
"@unitybase/ub": "^5.5.10",
"btoa": "^1.1.2"
},
"devDependencies": {
......
......@@ -15,6 +15,7 @@ and this project adheres to [Semantic Versioning](http://semver.org/).
### Fixed
## [5.3.24] - 2020-07-26
## [5.3.23] - 2020-07-19
## [5.3.22] - 2020-07-16
## [5.3.21] - 2020-07-15
......
{
"name": "@unitybase/org",
"version": "5.3.23",
"version": "5.3.24",
"lockfileVersion": 1,
"requires": true,
"dependencies": {
......
{
"name": "@unitybase/org",
"version": "5.3.23",
"version": "5.3.24",
"description": "Organisation structure",
"repository": "https://git-pub.intecracy.com/unitybase/ubjs/tree/master/packages/org",
"config": {
......@@ -18,11 +18,11 @@
},
"main": "org.js",
"dependencies": {
"@unitybase/base": "^5.2.13",
"@unitybase/cdn": "^5.4.23",
"@unitybase/ub": "^5.5.9",
"@unitybase/uba": "^5.4.22",
"@unitybase/ubs": "^5.4.12",
"@unitybase/base": "^5.2.14",
"@unitybase/cdn": "^5.4.24",
"@unitybase/ub": "^5.5.10",
"@unitybase/uba": "^5.4.23",
"@unitybase/ubs": "^5.4.13",
"lodash": "^4"
},
"devDependencies": {
......
......@@ -13,6 +13,9 @@ and this project adheres to [Semantic Versioning](http://semver.org/).